Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.editable
Class ScalingRasterStateMachine

    java.lang.Object
      com.bbn.openmap.layer.util.stateMachine.StateMachine
          com.bbn.openmap.omGraphics.editable.EOMGStateMachine
              com.bbn.openmap.omGraphics.editable.ScalingRasterStateMachine

public class ScalingRasterStateMachine
extends EOMGStateMachine

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.editable.EOMGStateMachine
`DEFAULT_NUMBER_STATES, graphic, GRAPHIC_EDIT, GRAPHIC_SELECTED, GRAPHIC_SETOFFSET, GRAPHIC_UNDEFINED, GRAPHIC_UNSELECTED, NUMBER_STATES, offsetNeeded`

Fields inherited from class com.bbn.openmap.layer.util.stateMachine.StateMachine
`currentState, resetState, states`

Constructor Summary
`ScalingRasterStateMachine(EditableOMScalingRaster raster)`

Method Summary
`protected State[]` | `init()`

Methods inherited from class com.bbn.openmap.omGraphics.editable.EOMGStateMachine
`isOffsetNeeded, setEdit, setOffset, setOffsetNeeded, setSelected, setUndefined, setUnselected`

Methods inherited from class com.bbn.openmap.layer.util.stateMachine.StateMachine
`addStates, getResetState, getState, getState, getStates, reset, setMapMouseListenerResponses, setResetState, setResetState, setState, setState, setStateAt, setStates, setStates`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScalingRasterStateMachine

    public ScalingRasterStateMachine(EditableOMScalingRaster raster)

Method Detail

### init

    protected State[] init()

  Overrides:
    `init` in class `EOMGStateMachine`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details